from aiogram.types import Message

from lenochka.brain.brain_cell import BrainCell


class Brain:
    """
    Lenochka's brain.

    We don't realy need this part,
    but since we need to have a container
    for our the only one brain cell, we
    have to implement it.
    """

    def __init__(self) -> None:
        self.cell = BrainCell()

    async def think(self, message: Message, state_of_mind: None = None) -> None:
        """
        Actual thinking.

        :param message: incoming message.
        :param state_of_mind: lenochka's current state of mind.
            It's always clear in order to make the most thoughtful answer.
        """
        if not self.cell.do_i_need_to_say_something():
            return
        thoughtful_answer = self.cell.create_reply(message.text)
        await message.reply(thoughtful_answer)
